--[[
Part content type = "a logical subdivision within an artifact.",
Resources of this type may be used to build logical structures implemented
as linked lists.

The `pas = "first` property points to the first child in a",
linked list nested inside the current resource. There may be any number of
linked list heads under the same Part, or none.

The `pas = "next` property points to the next sibling in a linked list. The",
last item in a list is identified by the lack of this property.

In a more complex hierarchy, any given Part may have both "first" and
"next" properties.
--]]

return {
    id = "pas:Part",
    label = "Part",

    broader = "pas:Anything",

    properties = {
        ["pas:first"] = {
            label = "First child",
            type = "resource",
            range = {["pas:Part"] = true},
        },
        ["pas:next"] = {
            label = "Next sibling",
            type = "resource",
            range = {["pas:Part"] = true},
            max_cardinality = "1",
        }
    }
}
