local path = require "pl.path"
local store = require "lsup.store"

local term = require "lsup.term"
local namespace = require "lsup.namespace"


local fpath = debug.getinfo(1, "S").source:sub(2)
local root_path = path.dirname(path.dirname(fpath))
local config_path = os.getenv("PA_CONFIG_DIR") or (root_path .. "/config")

local M = {
    root = root_path,
    config = dofile(config_path .. "/app.lua"),
    nsm = namespace.new(),
}

M.store_id = "file://" .. (os.getenv("PA_BASE") or M.config.fs.dres_path)
M.store = store.new(store.MDB, M.store_id)

print(("Default NSM: %s"):format(M.nsm))

for pfx, ns in pairs(M.config.namespace) do M.nsm:add(pfx, ns) end

-- Initialize random ID generator.
math.randomseed(M.config.id.seed[1], M.config.id.seed[2])

return M
